Skip to main content

Get detailed PCAP analysis

GET
/files/{id}/pcap-detailed

Returns a detailed PCAP analysis.

Contract

Parameter
Value
Sectionfiles
AuthenticationCookieAuth
Consumesnot required
Producesapplication/json

Parameters

2 parameters

Name
Location
Required
Type
Description
idpathyesintegerFile ID
clientIpquerynostringLimit analysis to one client IP

Responses

5 responses

Status
Description
Type
200
DetailedPcapInfo: {clients[]} with nested sessions and stepsobject
400
Invalid file ID or invalid PCAP fileobject
401
Unauthorizedobject
404
File not foundobject
500
Failed to read fileobject
  • {
      "cursor": {
        "count": 0,
        "currentPage": 0,
        "totalPages": 0,
        "totalRows": 0
      },
      "data": {}
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }